function [g_faktor] = VBAP(panorama)

%Rozmisteni pozic reproduktoru
pozice_rep=[0 30 110 180 -110 -30];
pocet_repr=length(pozice_rep);
pozice_rep=[pozice_rep pozice_rep(1)]/180*pi; %radiany

%Smer vektoru p reproduktoru v kartezskych souradnicich
p_virt=[cos(panorama/180*pi) sin(panorama/180*pi)];

for i=1:pocet_repr
% Vypocet inverzni matice
L_inv=inv([[cos(pozice_rep(i)) sin(pozice_rep(i))];...
[cos(pozice_rep(i+1)) sin(pozice_rep(i+1))]]); 
% Vypocet faktoru zesileni(nenormalizovane)
tempg=p_virt*L_inv;


% Vypocet normalizovanych faktoru zesileni 
if min(tempg) > -0.001
    g=zeros(1,pocet_repr);
    g([i mod(i,pocet_repr)+1])=tempg;
    g_faktor=g/sqrt(sum(g.^2));
    return
end
end

    
    